"{ Package: 'stx:goodies/metacello/base' }"

LibraryDefinition subclass:#stx_goodies_metacello_base
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects & Packages *'
!


!stx_goodies_metacello_base class methodsFor:'description'!

excludedFromPreRequisites
    "list all packages which should be ignored in the automatic
     preRequisites scan. See #preRequisites for more."

    ^ #(
        "Argh...Metacello-Base is so dependent on Monticello, but in St/X we don't want to have
         this dependency. We don't use Monticello at all. "
        #'stx:goodies/monticello'    "MCCacheRepository - referenced by ConfigurationOf class>>bootstrapPackage:from: "
    )

    "Modified: / 10-09-2012 / 22:24:27 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

preRequisites
    "list all required packages.
     This list can be maintained manually or (better) generated and
     updated by scanning the superclass hierarchies and looking for
     global variable accesses. (the browser has a menu function for that)
     Howevery, often too much is found, and you may want to explicitely
     exclude individual packages in the #excludedFromPrerequisites method."

    ^ #(
        #'stx:libbasic'    "LibraryDefinition - superclass of stx_goodies_metacello_base "
    )

    "Modified: / 10-09-2012 / 22:23:27 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!stx_goodies_metacello_base class methodsFor:'description - contents'!

classNamesAndAttributes
    "lists the classes which are to be included in the project.
     Each entry in the list may be: a single class-name (symbol),
     or an array-literal consisting of class name and attributes.
     Attributes are: #autoload or #<os> where os is one of win32, unix,..."

    ^ #(
        "<className> or (<className> attributes...) in load order"
        ConfigurationOf
        Metacello
        #'stx_goodies_metacello_base'
        BaselineOf
    )
!

extensionMethodNames
    "lists the extension methods which are to be included in the project.
     Entries are 2-element array literals, consisting of class-name and selector."

    ^ #(
    )
! !

!stx_goodies_metacello_base class methodsFor:'description - project information'!

applicationIconFileName
    "Return the name (without suffix) of an icon-file (the app's icon); will be included in the rc-resource file"

    ^ nil
    "/ ^ self applicationName
!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'Dale Henrichs & Jan Vrany'

    "Modified: / 10-09-2012 / 22:14:17 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

description
    "Return a description string which will appear in vc.def / bc.def"

    ^ 'Metacello -- a Smalltalk project configuration management tool'

    "Modified: / 10-09-2012 / 22:15:37 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Dale Henrichs 2008-2012\nCopyright Jan Vrany 2012 (port & Smalltalk/X specific code)'

    "Modified: / 10-09-2012 / 22:16:31 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

productInstallDirBaseName
    "Returns a default installDir which will appear in <app>.nsi.
     This is usually not the one you want to keep"

    ^ (self package asCollectionOfSubstringsSeparatedByAny:':/') last
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Metacello'

    "Modified: / 10-09-2012 / 22:16:41 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!stx_goodies_metacello_base class methodsFor:'description - svn'!

svnRepositoryUrlString
    "Return a SVN repository URL of myself.
     (Generated since 2011-04-08)
     Do not make the string shorter!!!!!! We have to use fixed-length keyword!!!!!!
    "        

    ^ '$URL::                                                                                                                        $'
!

svnRevisionNr
    "Return a SVN revision number of myself.
     This number is updated after a commit"

    ^ "$SVN-Revision:"'nil             '"$"
! !

!stx_goodies_metacello_base class methodsFor:'documentation'!

version_SVN
    ^ '$Id::                                                                                                                        $'
! !
